gnutls_record_recv_packet(3)

NAME
gnutls_record_recv_packet - API function

SYNOPSIS
#include <gnutls/gnutls.h>

ssize_t gnutls_record_recv_packet(gnutls_session_t session, gnutls_packet_t * packet);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

gnutls_packet_t * packet
    the structure that will hold the packet data

DESCRIPTION
This is a lower-level function than gnutls_record_recv() and allows to directly receive the whole decrypted packet. That avoids a memory copy, and is intended to be used by applications seeking high performance. The received packet is accessed using gnutls_packet_get() and must be deinitialized using gnutls_packet_deinit(). The returned packet will be NULL if the return value is zero (EOF).

RETURNS
The number of bytes received and zero on EOF (for stream connections). A negative error code is returned in case of an error.

SINCE
3.3.5

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/